Subject: Re: bug#14860: [Peter Vasil] emacs 24.3.50.1: Byte compile warning Warning: function used to take 0+ arguments, now takes 0

From: Peter Vasil <[email-masked]>
Date: Sun, 14 Jul 2013 20:28:05 +0200

I had the advice only because I adviced the regular goto-line to call
hs-show-block and when I added the got-line-with-feedback I just
copied the first advice and did not realize that it makes no sense. I
have removed the advice now and I've put the hs-show-block into
got-line-with-feedback function.

Sorry for the noise.

Peter

On Sun, Jul 14, 2013 at 7:41 PM, Stefan Monnier
<[email-masked]> wrote:
>> Indeed, I have an advice on that function
>> (defadvice goto-line-with-feedback
>>     (after
>>      expand-after-goto-line-with-feedback
>>      activate compile)
>>     "hideshow-expand affected block when using
>> goto-line-with-feedback in a collapsed buffer"
>>     (save-excursion
>>       (hs-show-block)))
>
> Than it's a known issue.  I do wonder, tho: why on earth do you have an
> advice on your hand-written function?
>
>
>         Stefan